Package org.apache.ignite.internal.processors.query.stat.hll.util

## Interface LongIterator

    public interface LongIterator

A `long`-based iterator. This is not is-a `Iterator` to prevent autoboxing between `Long` and `long`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasNext()`
`long` `next()`

### Method Detail

#### hasNext

    boolean hasNext()

Returns:
  `true` if and only if there are more elements to iterate over. `false` otherwise.

#### next

    long next()

Returns:
  the next `long` in the collection.